package poker;
import java.util.Objects;
public class Carta {

    public String valor;
    public String palo;

    public Carta() {

    }

    public Carta(String completo) {
        if (completo.charAt(0) == 'A')
            this.valor = "1";
        else if (completo.charAt(0) == 'T')
            this.valor = "10";
        else if (completo.charAt(0) == 'J')
            this.valor = "11";
        else if (completo.charAt(0) == 'Q')
            this.valor = "12";
        else if (completo.charAt(0) == 'K')
            this.valor = "13";
        else
            this.valor = String.valueOf(completo.charAt(0));

        this.palo = String.valueOf(completo.charAt(1));
    }

    public String valorPalo() {
        if (this.valor.equals("1")) {
            return "A" + this.palo;
        } else if (this.valor.equals("10")) {
            return "T" + this.palo;
        } else if (this.valor.equals("11")) {
            return "J" + this.palo;
        } else if (this.valor.equals("12")) {
            return "Q" + this.palo;
        } else if (this.valor.equals("13")) {
            return "K" + this.palo;
        } else
            return this.valor + this.palo;

    }
//VER OPCINES DE SOLUCIONAR LETRAS
    public int getValorInt() {
        int result = 0;
        try {int aux = Integer.parseInt(this.valor);
        return aux;
        }
        catch (Exception e) {
            
            switch (this.valor) {
                case "T":
                result = 10;
                break;

            case "J":
                result = 11;
                break;

            case "Q":
                result = 12;
                break;
            case "K":
                result = 13;
                break;
            case "A":
                result = 14;
                break;

            }
            return result;



        }

    }

    public String getPalo() {
        return this.palo;

    }

    public void setValor(String nuevoValor){
        this.valor = String.valueOf(nuevoValor.charAt(0));
        this.palo = String.valueOf(nuevoValor.charAt(1));

    }
    @Override
    public boolean equals(Object b) {
        Carta cartab = (Carta) b ;
        if (this.valor.equals(cartab.valor) && (this.palo.equals(cartab.palo)))   {
            return true;
        }else 
            return false;
    }

    @Override
    public int hashCode() {
        return Objects.hash(this.valor, this.palo);
    }

}
