package poker2;

import poker.*;
import java.util.ArrayList;
import java.util.*;
import java.util.Random;

public class PokerGame2 {

    public String ganadores( ArrayList<Carta> [] jugadas) {
        int puntosMano1 =0;
        int puntosMano2 =0;
        PokerGame2 pokerGanador = new PokerGame2();
        pokerGame pokerJugadas = new pokerGame();

        puntosMano1 = pokerGanador.valorJugada(pokerJugadas.jugadas(jugadas[0]));
        puntosMano2 = pokerGanador.valorJugada(pokerJugadas.jugadas(jugadas[1]));
    
        System.out.println(" ");
        
        //IMPRIMIR CARTAS Y JUGADAS
        System.out.println("JUGADOR 1 :");
        for (Carta it : jugadas[0]) {
            System.out.print(it.valorPalo() + " ");
        }
        System.out.println("--> " + pokerJugadas.jugadas(jugadas[0]));

        System.out.println(" ");

        System.out.println("JUGADOR 2 :");
        for (Carta it2 : jugadas[1]) {
            System.out.print(it2.valorPalo() + " ");
        }
        System.out.println("--> " + pokerJugadas.jugadas(jugadas[1]));

        System.out.println(" "); 

        //IMPRIMIR LA MANO GANADORA
        if (puntosMano1 > puntosMano2) {
            System.out.println("GANA LA MANO DEL JUGADOR 1 !!!");

            for (Carta c1 : jugadas[0]) {
                System.out.print(c1.valorPalo() + " ");
            }

            System.out.println(pokerJugadas.jugadas(jugadas[0]));

        } else if (puntosMano1 < puntosMano2){

            System.out.println("GANA LA MANO DEL JUGADOR 2 !!!");

            for (Carta c2 : jugadas[1] ) {
                System.out.print(c2.valorPalo() + " ");
            }

            System.out.println(pokerJugadas.jugadas(jugadas[1]));

        } else {
            int totalValorMano1 = 0;
            int totalValorMano2 = 0;

            for (Carta c1 : jugadas[0]) {
                totalValorMano1 = totalValorMano1 + c1.getValorInt();
            }

            for (Carta c2 : jugadas[1] ) {
                totalValorMano2 = totalValorMano2 + c2.getValorInt();
            }

            if (totalValorMano1 > totalValorMano2) {
                System.out.println("LUGO DEL EMPATE - GANA LA MANO DEL JUGADOR 1 !!!");
                for (Carta c1 : jugadas[0]) {
                    System.out.print(c1.valorPalo() + " ");
                    System.out.print("");
                }
                System.out.println();
                //System.out.println("Valor TOTAL:"+totalValorMano1);
                 
            }else {

                System.out.println("LUGO DEL EMPATE - GANA LA MANO DEL JUGADOR 2 !!!");
                for (Carta c2 : jugadas[1]) {
                    System.out.print(c2.valorPalo() + " ");
                    
                }

                System.out.println();
                System.out.print("");
                //System.out.println("Valor TOTAL:"+totalValorMano2);
            }


        }

        return "0";
    }

    public static void main(String args[]) {
     
        PokerGame2 pokerGanador = new PokerGame2();
        pokerGame pokerJugadas = new pokerGame();
        ArrayList<Carta> [] manoGenerada = (ArrayList<Carta>[]) new ArrayList[2];
        manoGenerada = pokerGanador.generarMano();
        pokerGanador.ganadores(manoGenerada) ;
    }


    public int valorJugada(String jugada) {
        int result;
        switch (jugada) {
            case "ESCALERA COLOR":
                result = 9;
                break;
            case "POKER":
                result = 8;
                break;
            case "FULL":
                result = 7;
                break;
            case "COLOR":
                result = 6;
                break;
            case "ESCALERA":
                result = 5;
                break;
            case "TRIO":
                result = 4;
                break;
            case "DOBLE PAREJA":
                result = 3;
                break;
            case "PAREJA":
                result = 2;
                break;
            case "CARTA ALTA":
                result = 1;
                break;
            default:
                result = -1;
                break;
        }
        return result;

    }

    public static ArrayList <Carta>[] generarMano () {
        int i;
        Carta c1,c2,c3,c4,c5,c6,c7,c8,c9,c10;
      
       
        ArrayList <Carta> mano1 = new ArrayList<Carta> () ;
        ArrayList <Carta> mano2 = new ArrayList<Carta> () ;
        ArrayList<Carta> [] dualMano = (ArrayList<Carta>[]) new ArrayList[2];

        ArrayList <Carta> mazo = new ArrayList<Carta>() ;
    
        c1 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;
        c2 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;
        c3 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;
        c4 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;   
        c5 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;   
        c6 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;   
        c7 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;   
        c8 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;   
        c9 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;   
        c10 = new Carta(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4))) ;  
        mazo.add(c1);
        mazo.add(c2);
        mazo.add(c3);
        mazo.add(c4);
        mazo.add(c5);
        mazo.add(c6);
        mazo.add(c7);
        mazo.add(c8);
        mazo.add(c9);
        mazo.add(c10);
        i = 0;
        while ( i<5){
            if (! ( mano1.contains(mazo.get(i)) ) ) {
               mano1.add (mazo.get(i)); 
               i++;
            } else {
                mazo.get(i).setValor(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4)));  
            }
        }

        i = 5;
        while ( i<10){
            if (! ( mano2.contains(mazo.get(i)) || mano1.contains(mazo.get(i))) ) {
               mano2.add (mazo.get(i)); 
               i++;
            } else {
                mazo.get(i).setValor(forNumbertoValor(numeroRandom(1, 14)) + forNumbertoPalo(numeroRandom(1, 4)));  
            }
        }
       
        dualMano[0] = mano1 ;
        dualMano[1] = mano2;
        return dualMano ;
    }


    public static int numeroRandom (int min,int max){
        int valor, minimo, maximo;
        minimo = min;
        maximo = max;

        Random ran = new Random();
        valor = ran.nextInt(maximo) + minimo; 
        
        return valor;

    }

    public static String forNumbertoPalo(int numero) {
        String result = " ";

        switch (numero) {
            case 1:
                result = "S";
                break;
            case 2:
                result = "C";
                break;
            case 3:
                result = "H";
                break;
            case 4:
                result = "D";
                break;
            
            default:
                result = "X";
                break;
        }
        return result;

    }

    public static String forNumbertoValor(int numero) {
        String result = " ";

        switch (numero) {
            case 1:
                result = "A";
                break;
            case 2:
                result = "2";
                break;
            case 3:
                result = "3";
                break;
            case 4:
                result = "4";
                break;

            case 5:
                result = "5";
                break;

            case 6:
                result = "6";
                break;

            case 7:
                result = "7";
                break;
            
            case 8:
                result = "8";
                break;

            case 9:
                result = "9";
                break;

            case 10:
                result = "T";
                break;

            case 11:
                result = "J";
                break;

            case 12:
                result = "Q";
                break;
            case 13:
                result = "K";
                break;
            case 14:
                result = "A";
                break;
            default:
                result = "/";
                break;
        }
        return result;

    }



}
